Grails 3 upgrade path: plugins you want migrated

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
101 messages Options
123456
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ronny Løvtangen
Hi,

Responding to this particular message in this thread because the previous poster included the wkhtmltopdf plugin in his wish list.
The original creator of wkhtmltopdf plugin has moved on, but I have taken over the plugin and released a couple of bugfix releases.
Finally got the time to look into migration to Grails 3.
A first version has been pushed to master at https://github.com/rlovtangen/grails-wkhtmltopdf. (Grails 2.x compatible version is now in branch ‘grails2’.)
Nothing published to Bintray yet, though.

One problem I ran into, was that the code replaced the render method with its own version that added pdf support. The way this was done does not seem to work in Grails 3. I guess the reason is that the render method on controllers is now added by a trait (grails.artefact.controller.support.ResponseRenderer).
This is how the render method was replaced by the plugin in previous versions:

controllerClass.metaClass.render = { Map params ->
    ...
}

If anyone knows how I can achieve the same for methods added by traits, feel free to send me a hint. Haven’t really dived into the problem yet.
Because of this, I temporarily added a renderPdf method on controllers instead, so for now you have to call renderPdf instead of render.

Best Regards,
Ronny

On 16 Jun 2015, at 16:20, Dominic Fui Dodzi-Nusenu <[hidden email]> wrote:

Hi all,

+ wkhtmltopdf
+ cookie-session
+ mandrill
+html-cleaner
+ spring-security-ui (and all spring security core sub plugins)
+ jaxrs
+ cache-ehcache
+ webxml

I know there are some old ones but they still are still used on my production system
On 06/16/2015 12:55 PM, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/1434459312279.2bb0f55a%40Nodemailer.
For more options, visit https://groups.google.com/d/optout.

-- 
Fui Nusenu
twitter: @daptordarattler

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5580309B.6080201%40gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/00FBCBF9-882E-4BE5-8A9B-106945AB73A4%40lovtangen.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Jeff Brown

> On Jul 11, 2015, at 11:18 AM, Ronny Løvtangen <[hidden email]> wrote:
>
> Hi,
>
> Responding to this particular message in this thread because the previous poster included the wkhtmltopdf plugin in his wish list.
> The original creator of wkhtmltopdf plugin has moved on, but I have taken over the plugin and released a couple of bugfix releases.
> Finally got the time to look into migration to Grails 3.
> A first version has been pushed to master at https://github.com/rlovtangen/grails-wkhtmltopdf. (Grails 2.x compatible version is now in branch ‘grails2’.)
> Nothing published to Bintray yet, though.
>
> One problem I ran into, was that the code replaced the render method with its own version that added pdf support. The way this was done does not seem to work in Grails 3. I guess the reason is that the render method on controllers is now added by a trait (grails.artefact.controller.support.ResponseRenderer).
> This is how the render method was replaced by the plugin in previous versions:
>
> controllerClass.metaClass.render = { Map params ->
>     ...
> }
>
> See https://github.com/rlovtangen/grails-wkhtmltopdf/blob/master/src/main/groovy/org/wkhtmltox/WkhtmltopdfGrailsPlugin.groovy
> If anyone knows how I can achieve the same for methods added by traits, feel free to send me a hint. Haven’t really dived into the problem yet.
> Because of this, I temporarily added a renderPdf method on controllers instead, so for now you have to call renderPdf instead of render.
>
> Best Regards,
> Ronny

I am surprised by this behavior.  I have filed a JIRA at https://issues.apache.org/jira/browse/GROOVY-7500 to open that up for discussion.



JSB


Jeff Scott Brown
Principal Software Engineer
Grails Development Team
Object Computing Inc.
http://www.ociweb.com/

Autism Strikes 1 in 166
Find The Cause ~ Find The Cure
http://www.autismspeaks.org/

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/CA28868F-3E35-4F7B-848E-67A4D5BD119C%40ociweb.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ronny Løvtangen

On 11 Jul 2015, at 21:36, Jeff Scott Brown <[hidden email]> wrote:


On Jul 11, 2015, at 11:18 AM, Ronny Løvtangen <[hidden email]> wrote:

Hi,

Responding to this particular message in this thread because the previous poster included the wkhtmltopdf plugin in his wish list.
The original creator of wkhtmltopdf plugin has moved on, but I have taken over the plugin and released a couple of bugfix releases.
Finally got the time to look into migration to Grails 3.
A first version has been pushed to master at https://github.com/rlovtangen/grails-wkhtmltopdf. (Grails 2.x compatible version is now in branch ‘grails2’.)
Nothing published to Bintray yet, though.

One problem I ran into, was that the code replaced the render method with its own version that added pdf support. The way this was done does not seem to work in Grails 3. I guess the reason is that the render method on controllers is now added by a trait (grails.artefact.controller.support.ResponseRenderer).
This is how the render method was replaced by the plugin in previous versions:

controllerClass.metaClass.render = { Map params ->
   ...
}

See https://github.com/rlovtangen/grails-wkhtmltopdf/blob/master/src/main/groovy/org/wkhtmltox/WkhtmltopdfGrailsPlugin.groovy
If anyone knows how I can achieve the same for methods added by traits, feel free to send me a hint. Haven’t really dived into the problem yet.
Because of this, I temporarily added a renderPdf method on controllers instead, so for now you have to call renderPdf instead of render.

Best Regards,
Ronny

I am surprised by this behavior.  I have filed a JIRA at https://issues.apache.org/jira/browse/GROOVY-7500 to open that up for discussion.


Thanks, Jeff.


Ronny

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/4E9850AB-2819-4A1A-AA65-2B9442807B19%40lovtangen.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

phill.nacelli
In reply to this post by Graeme Rocher-2
Hi Graeme,

Was trying to get a feel for what folks are asking for, just curious how you are tracking the responses here?

Would it make sense to also request these in Github?  But under which project? Grails-Core: Plugins (https://github.com/grails/grails-core/issues?q=is%3Aopen+is%3Aissue+label%3APlugins)?

If you don't mind a suggestion that I've seen work really well and you probably already know about it,  Trello, the Brackets guys use it and it's quite helpful for these kinds of community feedback: https://trello.com/b/LCDud1Nd/brackets

Cheers..

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/b898d72b-c447-4710-9c1f-e977d8055908%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Phill M Nacelli
Senior Software Architect, Solutions Lead
AboutWeb, LLC
Rockville, MD
Online: www.aboutweb.com

Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Graeme Rocher-2
In reply to this post by Ronny Løvtangen
Hi Ronny,

I had to do something similar for the “feeds” plugin.

See https://github.com/gpc/feeds/blob/master/src/main/groovy/grails/plugins/feeds/FeedRenderer.groovy

Cheers

Graeme Rocher
Grails Project lead
OCI - http://ociweb.com


On Sat, Jul 11, 2015 at 6:18 PM, Ronny Løvtangen <[hidden email]> wrote:

Hi,

Responding to this particular message in this thread because the previous poster included the wkhtmltopdf plugin in his wish list.
The original creator of wkhtmltopdf plugin has moved on, but I have taken over the plugin and released a couple of bugfix releases.
Finally got the time to look into migration to Grails 3.
A first version has been pushed to master at https://github.com/rlovtangen/grails-wkhtmltopdf. (Grails 2.x compatible version is now in branch ‘grails2’.)
Nothing published to Bintray yet, though.

One problem I ran into, was that the code replaced the render method with its own version that added pdf support. The way this was done does not seem to work in Grails 3. I guess the reason is that the render method on controllers is now added by a trait (grails.artefact.controller.support.ResponseRenderer).
This is how the render method was replaced by the plugin in previous versions:

controllerClass.metaClass.render = { Map params ->
    ...
}

If anyone knows how I can achieve the same for methods added by traits, feel free to send me a hint. Haven’t really dived into the problem yet.
Because of this, I temporarily added a renderPdf method on controllers instead, so for now you have to call renderPdf instead of render.

Best Regards,
Ronny

On 16 Jun 2015, at 16:20, Dominic Fui Dodzi-Nusenu <[hidden email]> wrote:

Hi all,

+ wkhtmltopdf
+ cookie-session
+ mandrill
+html-cleaner
+ spring-security-ui (and all spring security core sub plugins)
+ jaxrs
+ cache-ehcache
+ webxml

I know there are some old ones but they still are still used on my production system
On 06/16/2015 12:55 PM, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/1434459312279.2bb0f55a%40Nodemailer.
For more options, visit https://groups.google.com/d/optout.

-- 
Fui Nusenu
twitter: @daptordarattler

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5580309B.6080201%40gmail.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/00FBCBF9-882E-4BE5-8A9B-106945AB73A4%40lovtangen.com.
For more options, visit https://groups.google.com/d/optout.


--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/1436857811360.ceb0f388%40Nodemailer.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ronny Løvtangen
Hi Graeme,

Thanks, works like a charm!
Much better solution than adding method dynamically in doWithDynamicMethods.
The @Enhances annotation is new in 3.0.3? http://grails.github.io/grails-doc/latest/guide/plugins.html#addingMethodsAtCompileTime talks about implementing a TraitInjector, but this is so much nicer.

Ronny

On 14 Jul 2015, at 09:10, Graeme Rocher <[hidden email]> wrote:

Hi Ronny,

I had to do something similar for the “feeds” plugin.


Cheers

Graeme Rocher
Grails Project lead


On Sat, Jul 11, 2015 at 6:18 PM, Ronny Løvtangen <[hidden email]> wrote:

Hi,

Responding to this particular message in this thread because the previous poster included the wkhtmltopdf plugin in his wish list.
The original creator of wkhtmltopdf plugin has moved on, but I have taken over the plugin and released a couple of bugfix releases.
Finally got the time to look into migration to Grails 3.
A first version has been pushed to master at https://github.com/rlovtangen/grails-wkhtmltopdf. (Grails 2.x compatible version is now in branch ‘grails2’.)
Nothing published to Bintray yet, though.

One problem I ran into, was that the code replaced the render method with its own version that added pdf support. The way this was done does not seem to work in Grails 3. I guess the reason is that the render method on controllers is now added by a trait (grails.artefact.controller.support.ResponseRenderer).
This is how the render method was replaced by the plugin in previous versions:

controllerClass.metaClass.render = { Map params ->
    ...
}

If anyone knows how I can achieve the same for methods added by traits, feel free to send me a hint. Haven’t really dived into the problem yet.
Because of this, I temporarily added a renderPdf method on controllers instead, so for now you have to call renderPdf instead of render.

Best Regards,
Ronny

On 16 Jun 2015, at 16:20, Dominic Fui Dodzi-Nusenu <[hidden email]> wrote:

Hi all,

+ wkhtmltopdf
+ cookie-session
+ mandrill
+html-cleaner
+ spring-security-ui (and all spring security core sub plugins)
+ jaxrs
+ cache-ehcache
+ webxml

I know there are some old ones but they still are still used on my production system
On 06/16/2015 12:55 PM, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/1434459312279.2bb0f55a%40Nodemailer.
For more options, visit https://groups.google.com/d/optout.

-- 
Fui Nusenu
twitter: @daptordarattler

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/5580309B.6080201%40gmail.com.
For more options, visit https://groups.google.com/d/optout.


--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/00FBCBF9-882E-4BE5-8A9B-106945AB73A4%40lovtangen.com.
For more options, visit https://groups.google.com/d/optout.



--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/1436857811360.ceb0f388%40Nodemailer.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/6ED22461-E5F7-4F53-B72B-6241CFF57ED5%40lovtangen.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Jeff Brown

> On Jul 14, 2015, at 4:07 PM, Ronny Løvtangen <[hidden email]> wrote:
>
> The @Enhances annotation is new in 3.0.3?

Yes it is.



JSB

Jeff Scott Brown
Principal Software Engineer
Grails Development Team
Object Computing Inc.
http://www.ociweb.com/

Autism Strikes 1 in 166
Find The Cause ~ Find The Cure
http://www.autismspeaks.org/

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/B227A9C5-7E97-4B78-8FAD-02810F953D80%40ociweb.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Dominik Tamm-2
In reply to this post by Graeme Rocher-2
Is there a timeline when which plugin will be upgraded or will it be available at some time? I would like to know if and when i may update my office applications :)

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/23a86ceb-884f-4dde-93fd-e428abba599f%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Katherine Stone
In reply to this post by Graeme Rocher-2
Webflow plugin. Our project is heavily invested in it.

On Tuesday, June 16, 2015 at 8:55:15 AM UTC-4, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/e5f644ce-c781-49e6-b6ef-eee2f2d5944a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Dominik Tamm
+1!

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/e61df96f-edd7-47ef-9428-57a2f79b1ab8%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Denis K
In reply to this post by Graeme Rocher-2
That's what we use and it's not found in grails 3 repo (maybe things like webxml and locale-configuration, codenarc are not needed, i'm not sure):

        asynchronous-mail
        rest-client-builder
        postgresql-extensions
        localizations
        locale-configuration
        webxml
        cookie-session
        codenarc
        remote-pagination
        resources
        spring-security-oauth (optional)
        spring-security-oauth-facebook (optional)
        spring-security-oauth-yahoo (optional)
        spring-security-oauth-google (optional)
       


El martes, 16 de junio de 2015, 14:55:15 (UTC+2), Graeme Rocher escribió:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/c632bdb7-9e1e-4554-b359-b56a47be98af%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ganesh
In reply to this post by Mirko Weber
Hi Mirko,

We need to use Jquery plugin for Grails3.Does anybody uses JQuery as plugin?
It would be great if you could clarify this.

Thank you,
Ganesh

On Wednesday, 17 June 2015 15:42:04 UTC+5:30, Mirko Weber wrote:
Hi Graeme,

for  me it would be:
  • twitter-bootstrap
  • cache + cache-ehcache
  • codenarc
  • jquery (nobody mention this, did i miss something about this plugin already exists for grails3.0?, or nobody uses jquery as plugin anymore?)
  • export
  • wslite

Thanks,
Mirko

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/328304fa-ec16-4b2b-88a9-68a7d96a1443%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ganesh
In reply to this post by Graeme Rocher-2
Hi Graeme,

We are unable to download the Jquery Grails3 compatible plugin and JAWR Grails 3 plugin.
It has become a stumbling block for us to proceed further in migrating to Grails 3 application from Garils2.
Do we have to upgrade manually or can we manage to migrate the Grails 3 application without using the Jquery and JAWR Grails3 plugins.
It would be great if you could help in clarifying this.

Thank you,
Ganesh


On Tuesday, 16 June 2015 18:25:15 UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/a1a92d5e-72d1-4b43-a897-121abe3e3272%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ganesh
In reply to this post by Graeme Rocher-2
Hi Graeme,

We require web flow plugin.It would be great if you could throw some light upon that.
Can we use spring web flow to achieve the same functionality. Please help us in proceeding further.

Thank you,
Ganesh

On Tuesday, 16 June 2015 18:25:15 UTC+5:30, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/e5111ffb-1d32-404f-bac5-9adc63345525%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ganesh
In reply to this post by Katherine Stone
Hi Katherine,

We require web flow plugin.It would be great if you could throw some light upon that.
Can we use spring web flow to achieve the same functionality. Please help us in proceeding further.

Thank you,
Ganesh

On Saturday, 29 August 2015 01:14:55 UTC+5:30, Katherine Stone wrote:
Webflow plugin. Our project is heavily invested in it.

On Tuesday, June 16, 2015 at 8:55:15 AM UTC-4, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/57d38314-154a-4700-9d3d-c1f02833e8e7%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Ganesh
In reply to this post by Adrien Guichard
Hi Adrien,

We require web flow plugin.It would be great if you could throw some light upon that.
Can we use spring web flow to achieve the same functionality. Please help us in proceeding further.

Thank you,
Ganesh

On Friday, 19 June 2015 17:38:15 UTC+5:30, Adrien Guichard wrote:
Many of my applications use the webflow plugin, any chance to see this plugin migrated to Grails 3.0?


Le mardi 16 juin 2015 14:55:15 UTC+2, Graeme Rocher a écrit :
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/467210ac-ceb1-4b9e-8f6b-43ca6cb6c45f%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

budjb
I've seen a couple posts needing the rabbitmq-native plugin migrated. Just wanted to give a heads up that I'll be focusing on that as soon as I put the finishing touches on the jaxrs plugin.

I may be able to pitch in elsewhere too.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/14a9511b-96f7-44c4-b9c3-d1294f33369e%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Robert Oschwald
isnt rabbitmq-native already migrated? I'm using the beta in grails 3.0.10 and it works so far.

Sent while mobile.

> Am 01.04.2016 um 06:28 schrieb Bud Byrd <[hidden email]>:
>
> I've seen a couple posts needing the rabbitmq-native plugin migrated. Just wanted to give a heads up that I'll be focusing on that as soon as I put the finishing touches on the jaxrs plugin.
>
> I may be able to pitch in elsewhere too.
>
> --
> You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
> To post to this group, send email to [hidden email].
> To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/14a9511b-96f7-44c4-b9c3-d1294f33369e%40googlegroups.com.
> For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/E494FEC2-900F-438D-A2EE-2D6CECAEE495%40gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

budjb
That's actually the first bit of feedback I've heard about it so far. I'm glad it's working well for you!

There are some things I'd like to improve on, including better yaml configuration. I've learned a bit during the update of the jaxrs plugin and I'd like to tidy the rabbit one up too.

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/e5876d5a-3045-4149-9e4e-ef4a4e6ecf4a%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Grails 3 upgrade path: plugins you want migrated

Owen Rubel
In reply to this post by Graeme Rocher-2
Some of us tried to upgrade our projects and supplied documentation and even fixed bugs we had but were told we have to have tests before even releasing a BETA of an upgrade. I myself asked for a path to 'submission acceptance' but received no response.

It was pointed out that MULTIPLE projects do NOT have tests and repeatedly are added as even 1.0 (and still are).

There appears to be a double standard... which is why alot of people are no longer upgrading I suspect.

A simple question of a 'path to submission acceptance' and having it applied evenly to all should the norm... not the acception on an individual by individual basis.


On Tuesday, June 16, 2015 at 5:55:15 AM UTC-7, Graeme Rocher wrote:
Hi all,

We have taken note that a significant number of users will not or cannot upgrade to Grails 3.0 until some key plugins are upgraded.

With that in mind I would like feedback from the community about which plugins you would like to see migrated to Grails 3.0 so we can begin prioritising work in this area.

So please let us know which plugins are important and whose absence are preventing you from exploring upgrading to Grails 3.0

Thanks for your attention.

Cheers

Graeme Rocher
Grails Project lead
OCI - <a href="http://ociweb.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\75http%3A%2F%2Fociweb.com\46sa\75D\46sntz\0751\46usg\75AFQjCNGzeZwvqKHLWu--y_uuay6-1VkagA&#39;;return true;">http://ociweb.com

--
You received this message because you are subscribed to the Google Groups "Grails Dev Discuss" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/grails-dev-discuss/2ce3bc81-26fd-42a4-acab-d42472e2d4fe%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
123456